Subject: Re: dtc: Address an assortment of portability problems

From: Scott Wood <[email-masked]>
Date: Thu, 26 Jun 2008 10:25:28 -0500

On Thu, Jun 26, 2008 at 11:03:49AM +1000, David Gibson wrote:
> 	- the endian handling functions in libfdt_env.h, based on
> endian.h and byteswap.h are replaced with some portable open-coded
> versions.  Unfortunately, these result in fairly crappy code when
> compiled, but as far as I can determine there doesn't seem to be any
> POSIX, SUS or de facto standard way of determining endianness at
> compile time, nor standard names for byteswapping functions.

Since device-tree and network byte order happen to be the same, we could use
ntohl/htonl.

-Scott